Fibo Edit
Ενσωμάτωση
bria/fibo-edit/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/fibo-edit/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/fibo-edit/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/fibo-edit/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/el/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "bria/fibo-edit/edit",
"input": {}
}
Καλέστε το μοντέλο Fibo Edit (bria/fibo-edit/edit) μέσω του Doitong API. Τεκμηρίωση για πράκτορες: https://doitong.com/el/developers/models/bria/fibo-edit/edit.md
POST https://api.doitong.ru/v1/run/bria/fibo-edit/edit?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{}
Αν η κατάσταση της απόκρισης είναι "queued" ή "running", εκτελέστε δημοσκόπηση με GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20 μέχρι να γίνει "succeeded"· τα αρχεία βρίσκονται στο outputs[].url. Το POST https://api.doitong.ru/v1/quote/bria/fibo-edit/edit με το ίδιο σώμα επιστρέφει την ακριβή τιμή πριν από την εκτέλεση.
Αυτό το αίτημα: 0,04 $ 40 πιστώσεις API · ≈ 4,22 ₽ Εκτέλεση σε αυτήν τη σελίδα
Το νέο σας κλειδί API. Εμφανίζεται μόνο τώρα και βρίσκεται ήδη στον κώδικα και στο παρακάτω πεδίο κλειδιού API. Κρατήστε το μυστικό: μην το εισάγετε ποτέ σε κώδικα που εκτελείται σε πρόγραμμα περιήγησης.
Το πρώτο σας αποτέλεσμα θα εμφανιστεί εδώ
Δημιουργήστε ένα αίτημα παρακάτω και εκτελέστε το με το κλειδί API σας. Οι έξοδοι αντιγράφονται στην αποθήκευσή μας και διατηρούνται για πάντα ή 7 ημέρες δωρεάν.
Δημιουργία αιτήματος
Τα στοιχεία ελέγχου δημιουργούνται από το σχήμα του μοντέλου. Ο κώδικας και η τιμή ενημερώνονται καθώς τα αλλάζετε.
/run/bria/fibo-edit/edit?wait=20
προσφορά → 0,04 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/fibo-edit/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/fibo-edit/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/fibo-edit/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "bria/fibo-edit/edit",
"input": {},
"wait_seconds": 20
}
}
}
Εκτέλεση αυτού του αιτήματος
Το κλειδί σας παραμένει σε αυτό το πρόγραμμα περιήγησης: αποστέλλεται μόνο στο Doitong API και αποθηκεύεται (localStorage) μόνο αν ενεργοποιήσετε την επιλογή «Να απομνημονεύεται». Λήψη κλειδιού API
Σχετικά με το Fibo Edit
Επεξεργάζεται μια εικόνα με λεπτομερή έλεγχο. Οι είσοδοι περιλαμβάνουν `image_url`, προαιρετικό `mask_url` και είτε `instruction` είτε έτοιμο `vgl`. Εναλλακτικά, δώστε `original_vgl` και `new_vgl` για επεξεργασία βάσει της διαφοράς τους. Το `steps_num` κυμαίνεται από 20 έως 50 (προεπιλογή 30), ενώ είναι επίσης διαθέσιμα τα `guidance_scale`, `negative_prompt` και `seed`.
Παράμετροι
Στείλτε είτε το κανονικό όνομα είτε το εγγενές όνομα, όχι και τα δύο. Κανονικά ονόματα
image_urlπροαιρετικό
image
mask_urlπροαιρετικό
mask
instructionπροαιρετικό
vglπροαιρετικό
vgl.short_descriptionπροαιρετικό
vgl.objectsπροαιρετικό
vgl.objects[].descriptionπροαιρετικό
vgl.objects[].locationπροαιρετικό
vgl.objects[].relationshipαπαιτείται
vgl.objects[].relative_sizeπροαιρετικό
vgl.objects[].shape_and_colorπροαιρετικό
vgl.objects[].textureπροαιρετικό
vgl.objects[].appearance_detailsπροαιρετικό
vgl.objects[].number_of_objectsπροαιρετικό
vgl.objects[].poseπροαιρετικό
vgl.objects[].expressionπροαιρετικό
vgl.objects[].clothingπροαιρετικό
vgl.objects[].actionπροαιρετικό
vgl.objects[].genderπροαιρετικό
vgl.objects[].skin_tone_and_textureπροαιρετικό
vgl.objects[].orientationπροαιρετικό
vgl.background_settingπροαιρετικό
vgl.lightingπροαιρετικό
vgl.lighting.conditionsπροαιρετικό
vgl.lighting.directionπροαιρετικό
vgl.lighting.shadowsπροαιρετικό
vgl.aestheticsπροαιρετικό
vgl.aesthetics.compositionπροαιρετικό
vgl.aesthetics.color_schemeπροαιρετικό
vgl.aesthetics.mood_atmosphereπροαιρετικό
vgl.aesthetics.preference_scoreπροαιρετικό
vgl.aesthetics.aesthetic_scoreπροαιρετικό
vgl.photographic_characteristicsπροαιρετικό
vgl.photographic_characteristics.depth_of_fieldπροαιρετικό
vgl.photographic_characteristics.focusπροαιρετικό
vgl.photographic_characteristics.camera_angleπροαιρετικό
vgl.photographic_characteristics.lens_focal_lengthπροαιρετικό
vgl.style_mediumπροαιρετικό
vgl.text_renderπροαιρετικό
vgl.contextπροαιρετικό
vgl.artistic_styleπροαιρετικό
vgl.edit_instructionπροαιρετικό
original_vglπροαιρετικό
original_vgl.short_descriptionπροαιρετικό
original_vgl.objectsπροαιρετικό
original_vgl.objects[].descriptionπροαιρετικό
original_vgl.objects[].locationπροαιρετικό
original_vgl.objects[].relationshipαπαιτείται
original_vgl.objects[].relative_sizeπροαιρετικό
original_vgl.objects[].shape_and_colorπροαιρετικό
original_vgl.objects[].textureπροαιρετικό
original_vgl.objects[].appearance_detailsπροαιρετικό
original_vgl.objects[].number_of_objectsπροαιρετικό
original_vgl.objects[].poseπροαιρετικό
original_vgl.objects[].expressionπροαιρετικό
original_vgl.objects[].clothingπροαιρετικό
original_vgl.objects[].actionπροαιρετικό
original_vgl.objects[].genderπροαιρετικό
original_vgl.objects[].skin_tone_and_textureπροαιρετικό
original_vgl.objects[].orientationπροαιρετικό
original_vgl.background_settingπροαιρετικό
original_vgl.lightingπροαιρετικό
original_vgl.lighting.conditionsπροαιρετικό
original_vgl.lighting.directionπροαιρετικό
original_vgl.lighting.shadowsπροαιρετικό
original_vgl.aestheticsπροαιρετικό
original_vgl.aesthetics.compositionπροαιρετικό
original_vgl.aesthetics.color_schemeπροαιρετικό
original_vgl.aesthetics.mood_atmosphereπροαιρετικό
original_vgl.aesthetics.preference_scoreπροαιρετικό
original_vgl.aesthetics.aesthetic_scoreπροαιρετικό
original_vgl.photographic_characteristicsπροαιρετικό
original_vgl.photographic_characteristics.depth_of_fieldπροαιρετικό
original_vgl.photographic_characteristics.focusπροαιρετικό
original_vgl.photographic_characteristics.camera_angleπροαιρετικό
original_vgl.photographic_characteristics.lens_focal_lengthπροαιρετικό
original_vgl.style_mediumπροαιρετικό
original_vgl.text_renderπροαιρετικό
original_vgl.contextπροαιρετικό
original_vgl.artistic_styleπροαιρετικό
original_vgl.edit_instructionπροαιρετικό
new_vglπροαιρετικό
new_vgl.short_descriptionπροαιρετικό
new_vgl.objectsπροαιρετικό
new_vgl.objects[].descriptionπροαιρετικό
new_vgl.objects[].locationπροαιρετικό
new_vgl.objects[].relationshipαπαιτείται
new_vgl.objects[].relative_sizeπροαιρετικό
new_vgl.objects[].shape_and_colorπροαιρετικό
new_vgl.objects[].textureπροαιρετικό
new_vgl.objects[].appearance_detailsπροαιρετικό
new_vgl.objects[].number_of_objectsπροαιρετικό
new_vgl.objects[].poseπροαιρετικό
new_vgl.objects[].expressionπροαιρετικό
new_vgl.objects[].clothingπροαιρετικό
new_vgl.objects[].actionπροαιρετικό
new_vgl.objects[].genderπροαιρετικό
new_vgl.objects[].skin_tone_and_textureπροαιρετικό
new_vgl.objects[].orientationπροαιρετικό
new_vgl.background_settingπροαιρετικό
new_vgl.lightingπροαιρετικό
new_vgl.lighting.conditionsπροαιρετικό
new_vgl.lighting.directionπροαιρετικό
new_vgl.lighting.shadowsπροαιρετικό
new_vgl.aestheticsπροαιρετικό
new_vgl.aesthetics.compositionπροαιρετικό
new_vgl.aesthetics.color_schemeπροαιρετικό
new_vgl.aesthetics.mood_atmosphereπροαιρετικό
new_vgl.aesthetics.preference_scoreπροαιρετικό
new_vgl.aesthetics.aesthetic_scoreπροαιρετικό
new_vgl.photographic_characteristicsπροαιρετικό
new_vgl.photographic_characteristics.depth_of_fieldπροαιρετικό
new_vgl.photographic_characteristics.focusπροαιρετικό
new_vgl.photographic_characteristics.camera_angleπροαιρετικό
new_vgl.photographic_characteristics.lens_focal_lengthπροαιρετικό
new_vgl.style_mediumπροαιρετικό
new_vgl.text_renderπροαιρετικό
new_vgl.contextπροαιρετικό
new_vgl.artistic_styleπροαιρετικό
new_vgl.edit_instructionπροαιρετικό
seedπροαιρετικό
steps_numπροαιρετικό
negative_promptπροαιρετικό
guidance_scaleπροαιρετικό
Οι παράμετροι αρχείων δέχονται ένα δημόσιο URL https://, ένα URI data: έως 10 MB ή το file_url μιας μεταφόρτωσης. Αρχεία
Έξοδος
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "bria/fibo-edit/edit",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 40,
"usd": "0.04",
"charged": 40,
"refunded": 0
},
"input": {},
"output": {
"image": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
},
"images": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
],
"vgl": {},
"structured_instruction": {}
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Πεδία εξόδου
- image
- object {url, content_type, file_name, file_size, width, height}Εικόνα που παράγεται από το μοντέλο.
- images
- array of object {url, content_type, file_name, file_size, width, height}Εικόνες που παράγονται από την παραγωγή.
- vgl
- objectΈγγραφο VGL που χρησιμοποιείται για την παραγωγή της εικόνας.
- structured_instruction
- objectΚαταργημένο ψευδώνυμο για το ίδιο έγγραφο· χρησιμοποιήστε `vgl`.
Άλλες παραλλαγές του Fibo Edit
Περισσότερα μοντέλα: Επεξεργασία εικόνας
Για πράκτορες AI: αυτή η σελίδα σε Markdown βρίσκεται στη διεύθυνση https://doitong.com/el/developers/models/bria/fibo-edit/edit.md. Όλα τα μοντέλα και οι οδηγοί: https://doitong.com/developers/llms.txt






